Subject: bug#445: lxc-start and lxc-execute cause segfault started by non-root and completely unusable

From: Ryutaroh Matsumoto <[email-masked]>
Date: Sun, 10 May 2020 09:47:04 +0900 (JST)

Control: retitle -1 lxc-start and lxc-execute cause segfault started by non-root without libpam-cgfs
Control: severity -1 minor

Hi Mark, Thanks again for your attention and response.

> Is this different behaviour than when running on a Debian host? Devuan doesn't
> fork lxc and uses Debian's packages directly.

I have never seen this. What I saw on Debian and Ubuntu was
https://github.com/lxc/lxc/issues/3221#issuecomment-600171973
which was unusable but not a segfault.

> Does your unprivileged user have write access to cgroups? That appears to be a
> common cause of this from a quick internet search.

The cause was that I did not install libpam-cgfs package.
You are welcome to close this, though this seems a minor bug to me.
I have no idea if this is an upstream issue.

Best regards, Ryutaroh